node-istanbul (0.4.5+repack10+~cs98.25.59-12) unstable; urgency=medium

  * Team upload
  * Depend on node-source-map

 -- Xavier Guimard <yadd@debian.org>  Wed, 26 Aug 2026 12:52:47 +0200

node-istanbul (0.4.5+repack10+~cs98.25.59-11) unstable; urgency=medium

  * Team upload
  * Fix debian/watch, use strict matching pattern instead

 -- Xavier Guimard <yadd@debian.org>  Mon, 04 May 2026 17:12:24 +0200

node-istanbul (0.4.5+repack10+~cs98.25.59-10) unstable; urgency=medium

  * Team upload
  * Patch: drop uuid dep, use built-in crypto.randomUUID()

 -- Xavier Guimard <yadd@debian.org>  Fri, 24 Apr 2026 21:02:56 +0200

node-istanbul (0.4.5+repack10+~cs98.25.59-9) unstable; urgency=medium

  * Also fix nyc/lib/source-maps.js for convert-source-map 2.x API

 -- Xavier Guimard <yadd@debian.org>  Sun, 12 Apr 2026 19:29:08 +0200

node-istanbul (0.4.5+repack10+~cs98.25.59-8) unstable; urgency=medium

  * Team upload
  * Declare compliance with policy 4.7.4
  * debian/watch version 5
  * Fix v8-to-istanbul for convert-source-map 2.x API

 -- Xavier Guimard <yadd@debian.org>  Sat, 11 Apr 2026 20:08:19 +0200

node-istanbul (0.4.5+repack10+~cs98.25.59-7) unstable; urgency=medium

  * Team upload.
  * Fix clean target. Closes: #1048081.
  * d/control: Drop "Rules-Requires-Root: no" (default).
  * d/control: Drop "Priority: optional" (default).
  * d/control: Update standards-version.
  * d/salsa-ci.yml: Use the simplified version.
  * Update lintian overrides.

 -- Santiago Vila <sanvila@debian.org>  Mon, 05 Jan 2026 09:00:12 +0100

node-istanbul (0.4.5+repack10+~cs98.25.59-6) unstable; urgency=medium

  * Require rimraf >= 4

 -- Bastien Roucariès <rouca@debian.org>  Fri, 26 Dec 2025 20:26:00 +0100

node-istanbul (0.4.5+repack10+~cs98.25.59-5) unstable; urgency=medium

  * Port to node-rimraf >= 4

 -- Bastien Roucariès <rouca@debian.org>  Wed, 24 Dec 2025 19:26:20 +0100

node-istanbul (0.4.5+repack10+~cs98.25.59-4) unstable; urgency=medium

  * Port to newer glob

 -- Bastien Roucariès <rouca@debian.org>  Thu, 20 Nov 2025 18:48:43 +0100

node-istanbul (0.4.5+repack10+~cs98.25.59-3) unstable; urgency=medium

  * Team upload
  * Patch for newer node-async
  * Fix some lintian warnings

 -- Julian Gilbey <jdg@debian.org>  Wed, 25 Sep 2024 19:47:02 +0100

node-istanbul (0.4.5+repack10+~cs98.25.59-2) unstable; urgency=medium

  * Team upload
  * Add missing minimal version for node-signal-exit

 -- Yadd <yadd@debian.org>  Mon, 21 Aug 2023 09:40:14 +0400

node-istanbul (0.4.5+repack10+~cs98.25.59-1) unstable; urgency=medium

  * Team upload
  * Declare compliance with policy 4.6.1
  * New upstream version 0.4.5+repack10+~cs98.25.59, updates:
    + istanbul-lib-instrument from 5.1.0 to 5.2.0
    + istanbul-lib-processinfo from 2.0.2 to 2.0.3
    + istanbul-reports from 3.1.3 to 3.1.4
    + v8-to-istanbul from 8.1.1 to 9.0.1
  * Refresh patches
  * Add dependency to node-jridgewell-trace-mapping
  * Update lintian override info format in d/source/lintian-overrides
    on line 16-20
  * Update standards version to 4.6.2, no changes needed.
  * Add patches for node-signal-exit >= 4 and node-foreground-child >= 3

 -- Yadd <yadd@debian.org>  Fri, 18 Aug 2023 06:55:38 +0400

node-istanbul (0.4.5+repack10+~cs97.25.57-3) unstable; urgency=medium

  * Team upload
  * Make build reproducible (fix manpage)

 -- Yadd <yadd@debian.org>  Mon, 31 Jan 2022 14:21:02 +0100

node-istanbul (0.4.5+repack10+~cs97.25.57-2) unstable; urgency=medium

  * Team upload
  * Fix components build (Closes: #1004656)
  * Fix autopkgtest

 -- Yadd <yadd@debian.org>  Mon, 31 Jan 2022 11:45:51 +0100

node-istanbul (0.4.5+repack10+~cs97.25.57-1) unstable; urgency=medium

  * Team upload
  * Embed nyc caching-transform package-hash release-zalgo spawn-wrap
  * Update lintian overrides
  * Update copyright
  * Install /usr/bin/nyc
  * Add minimal test for nyc
  * Build nyc manpage

 -- Yadd <yadd@debian.org>  Sun, 30 Jan 2022 12:21:22 +0100

node-istanbul (0.4.5+repack10+~cs71.23.57-2) unstable; urgency=medium

  * team upload

  * use and build-depend on terser (not uglifyjs.terser)

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 02 Dec 2021 20:54:09 +0100

node-istanbul (0.4.5+repack10+~cs71.23.57-1) unstable; urgency=medium

  * Team upload
  * Fix debian/watch and reimport typescript definitions (jest build was
    broken)

 -- Yadd <yadd@debian.org>  Fri, 26 Nov 2021 12:16:29 +0100

node-istanbul (0.4.5+repack09+~cs74.23.58-2) unstable; urgency=medium

  * Team upload
  * Fix filenamemangle
  * Add fix for node-js-yaml ≥ 4
  * Update lintian overrides

 -- Yadd <yadd@debian.org>  Wed, 24 Nov 2021 15:25:04 +0100

node-istanbul (0.4.5+repack09+~cs74.23.58-1) unstable; urgency=medium

  * Add node-hasha

 -- Bastien Roucariès <rouca@debian.org>  Mon, 15 Nov 2021 17:30:26 +0000

node-istanbul (0.4.5+repack06+~cs69.17.54-2) unstable; urgency=medium

  * Team upload
  * Add patch for recent uuid (fixes istanbul-lib-processinfo)

 -- Yadd <yadd@debian.org>  Wed, 06 Oct 2021 06:41:45 +0200

node-istanbul (0.4.5+repack06+~cs69.17.54-1) unstable; urgency=medium

  * Add process-on-spawn, node-preload.
  * Patch process-on-spawn in order to avoid fromentries (but need nodejs >= 12)

 -- Bastien Roucariès <rouca@debian.org>  Sun, 03 Oct 2021 13:49:23 +0000

node-istanbul (0.4.5+repack05+~cs65.15.53-1) unstable; urgency=medium

  * Remove insecure node-cross-spawn (use patches)
  * Add default-require-extensions, append-transform, istanbul-lib-hook

 -- Bastien Roucariès <rouca@debian.org>  Thu, 30 Sep 2021 08:55:31 +0000

node-istanbul (0.4.5+repack04+~cs67.15.56-1) unstable; urgency=medium

  * Add package node-cross-spawn and node-istanbul-lib-processinfo

 -- Bastien Roucariès <rouca@debian.org>  Wed, 29 Sep 2021 19:58:21 +0000

node-istanbul (0.4.5~+repack02+~cs58.15.51-1) unstable; urgency=medium

  * Team upload
  * Repack to (re)fix @types/istanbul-lib-import (Closes: #995292)

 -- Yadd <yadd@debian.org>  Wed, 29 Sep 2021 15:38:28 +0200

node-istanbul (0.4.5+repack01+~cs58.15.51-1) unstable; urgency=medium

  * Remove prettify.css

 -- Bastien Roucariès <rouca@debian.org>  Wed, 29 Sep 2021 12:20:44 +0000

node-istanbul (0.4.5+ds+~cs58.15.51+repack1-1) unstable; urgency=medium

  * Team upload
  * Remove duplicate test
  * Fully build html-escaper (+rollup)
  * Exclude files from import and repack (better for #995296)
  * Clean lintian overrides

 -- Yadd <yadd@debian.org>  Wed, 29 Sep 2021 14:00:41 +0200

node-istanbul (0.4.5+ds+~cs58.15.51+repack-2) unstable; urgency=medium

  * Team upload
  * Regenerate bundled file for istanbul-reports (Closes: #995296)

 -- Yadd <yadd@debian.org>  Wed, 29 Sep 2021 13:37:04 +0200

node-istanbul (0.4.5+ds+~cs58.15.51+repack-1) unstable; urgency=medium

  * Team upload
  * Reimport (Closes: #995292)

 -- Yadd <yadd@debian.org>  Wed, 29 Sep 2021 11:04:43 +0200

node-istanbul (0.4.5+ds+~cs58.15.51-1) unstable; urgency=medium

  * Team upload
  * New upstream version for bundled:
    - html-escaper
    - istanbul-lib-instrument
    - istanbuljs-schema
    - types-istanbul-lib-report
    - types-istanbul-reports
    - v8-to-istanbul

 -- Bastien Roucariès <rouca@debian.org>  Tue, 28 Sep 2021 18:40:26 +0000

node-istanbul (0.4.5+ds+~cs56.14.45-1) unstable; urgency=medium

  * Team upload
  * Embed @types/istanbul-reports and repack

 -- Xavier Guimard <yadd@debian.org>  Wed, 09 Dec 2020 10:28:28 +0100

node-istanbul (0.4.5+ds+~cs53.14.45-1) unstable; urgency=medium

  * Team upload
  * Declare compliance with policy 4.5.1
  * Embed @types/istanbul-lib-instrument and @types/istanbul-lib-source-maps
    and repack

 -- Xavier Guimard <yadd@debian.org>  Sun, 06 Dec 2020 08:10:53 +0100

node-istanbul (0.4.5+ds+~cs48.7.40-1) unstable; urgency=medium

  * Team upload
  * Embed @types/istanbul-lib-report and repack

 -- Xavier Guimard <yadd@debian.org>  Fri, 13 Nov 2020 13:33:02 +0100

node-istanbul (0.4.5+ds+~cs45.7.40-1) unstable; urgency=medium

  * Team upload
  * Embed @types/istanbul and @types/istanbul-reports
  * New upstream version 0.4.5+ds+~cs45.7.40 (no other changes)
  * Fix autopkgtest

 -- Xavier Guimard <yadd@debian.org>  Sun, 08 Nov 2020 15:59:24 +0100

node-istanbul (0.4.5+ds+~cs42.3.10-1) unstable; urgency=medium

  * Team upload
  * Embed v8-to-istanbul and @types/istanbul-lib-coverage
  * New upstream version 0.4.5+ds+~cs42.3.10 (no other changes)
  * Update lintian overrides

 -- Xavier Guimard <yadd@debian.org>  Tue, 27 Oct 2020 09:14:45 +0100

node-istanbul (0.4.5+ds+~cs33.3.7-1) unstable; urgency=medium

  * Team upload
  * Bump debhelper compatibility level to 13
  * Declare compliance with policy 4.5.0
  * Add "Rules-Requires-Root: no"
  * Use dh-sequence-nodejs
  * Embed components: babel-plugin-istanbul get-package-type html-escaper
                      istanbul-lib-coverage istanbul-lib-instrument
                      istanbul-lib-report istanbul-lib-source-maps
                      istanbul-reports
                      @istanbuljs/load-nyc-config @istanbuljs/schema
    babel-plugin-istanbul test-exclude
  * New upstream version 0.4.5+ds+~cs33.3.7
    Really: 0.4.5+~0.1.0+~3.0.0+~3.0.0+~4.0.3
            +~3.0.0+~4.0.0+~3.0.2+~1.1.0+~0.1.2+~6.0.0+~6.0.0
  * Add node-babel7 and node-resolve-from to recommended dependencies
  * Add minimal components test
  * Update copyright
  * Drop unneeded version constraints from (build) dependencies
  * Use dh-sequence-nodejs auto links
  * New upstream version 0.4.5+ds+~cs33.3.7
  * Build components
  * Add lintian overrides
  * Replace custom test by upstream tests

 -- Xavier Guimard <yadd@debian.org>  Tue, 27 Oct 2020 07:58:32 +0100

node-istanbul (0.4.5+ds-6) unstable; urgency=medium

  * Team upload
  * Declare compliance with policy 4.4.0
  * Add debian/gbp.conf
  * Switch install to pkg-js-tools

 -- Xavier Guimard <yadd@debian.org>  Sat, 03 Aug 2019 15:43:12 +0200

node-istanbul (0.4.5+ds-5) unstable; urgency=medium

  * Team upload
  * Fix changelog install (Closes: #920342)
  * Switch tests to pkg-js-tools
  * Add libjs-prettify in dependencies (Closes: #919841)
  * generate prettify.js links with dh_links

 -- Xavier Guimard <yadd@debian.org>  Sun, 10 Mar 2019 10:27:57 +0100

node-istanbul (0.4.5+ds-4) unstable; urgency=medium

  * Team upload
  * Add upstream/metadata
  * Add libjs-prettify in build dependencies. Fixes debci (Closes: #919905)

 -- Xavier Guimard <yadd@debian.org>  Wed, 23 Jan 2019 17:46:15 +0100

node-istanbul (0.4.5+ds-3) unstable; urgency=medium

  * Bug fix: "broken symlinks:
    /usr/lib/nodejs/istanbul/lib/assets/vendor/prettify.{css,js} -&gt;
    ../../../../../../share/javascript/prettify.{css,js}", thanks to
    Andreas Beckmann (Closes: #919841).

 -- Bastien Roucariès <rouca@debian.org>  Sun, 20 Jan 2019 10:01:48 +0100

node-istanbul (0.4.5+ds-2) unstable; urgency=medium

  * Source upload
  * Bump policy

 -- Bastien Roucariès <rouca@debian.org>  Fri, 14 Dec 2018 23:15:25 +0100

node-istanbul (0.4.5+ds-1) unstable; urgency=low

  * Initial release (Closes: #900850)

 -- Bastien Roucariès <rouca@debian.org>  Wed, 06 Jun 2018 23:24:14 +0200
